Subject: Re: linux-next: Tree for Dec 12

From: Paul Bolle <[email-masked]>
Date: Fri, 12 Dec 2014 23:36:37 +0100

On Fri, 2014-12-12 at 13:57 -0800, Andrew Morton wrote:
> On Fri, 12 Dec 2014 11:31:56 +0100 Paul Bolle <[email-masked]> wrote:

> > I won't be bothering (Andrew and) you again about this. Unless sorting
> > this out takes rather long, that is.
> 
> Is there some problem with the current mainline 3.19 code?

The problem I noticed is with next-20141212. For some reason - Stephen
appears to not know exactly why - it ended up with a Kconfig entry for
INIT_FALLBACK without any actually users of that Kconfig symbol. My
infamous 800 line perl monster - which I run on every linux-next release
to check for exactly stuff like this - can't help but notice that. The
idea being that my script notices these problems before they actually
hit mainline.

Note that the set of people actually worrying about this stuff contains
me and, maybe, one or two other persons.

Paul Bolle